:root {
    --base-animation-duration: 2.5s;
}

.black__overlay {
    position: absolute;
    width: 100dvw;
    height: 100dvh;
    background-color: #333;
    font-size: 3rem;
    z-index: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    animation: fadeToWhite var(--base-animation-duration) ease-in-out 0s forwards;
}

.black__overlay p {
    text-align: center;
    opacity: 0;
    width: 64rem;
}

.text__slide {
    opacity: 0;
    animation: fadeInOut var(--base-animation-duration) ease-in-out;
}

#text3 {
    animation: fadeInOut 3s ease-in-out;
}

#text1 {
    animation-delay: 0s;
}

#text2 {
    animation-delay: var(--base-animation-duration);
}

#text3 {
    animation-delay: calc(var(--base-animation-duration) * 2);
}

.hide__content .new__logo {
    opacity: 0;
}

.old__logo {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    transition: all calc(var(--base-animation-duration)/1.5) ease-in-out;
    /* Smooth transition to its final position */
}

.show__content.old__logo {
    top: 50%;
    left: 20%;
    transform: translate(-50%, -50%);
}

.show__content.new__logo {
    opacity: 1;
}

.show__content.new__logo__bg {
    opacity: 1;
    transition: all calc(var(--base-animation-duration)) ease-in-out;
}

.grow__from__back {
    transition: all calc(var(--base-animation-duration)) ease-in-out;
    opacity: 1 !important;
    animation: growFromBack 2s ease-in-out 2s forwards;
    transform-origin: center;

}

/* Animations */

@keyframes fadeToWhite {
    0% {
        background-color: #333;
    }

    100% {
        background-color: #fff;
    }
}

@keyframes fadeInOut {

    0%,
    100% {
        opacity: 0;
    }

    25%,
    75% {
        opacity: 1;
    }
}

@keyframes pulse {
    0% {
        transform: translate(-50%, -50%) scale(1, 1);
    }

    50% {
        opacity: 0.3;
    }

    100% {
        transform: translate(-50%, -50%) scale(1.6);
        opacity: 0;
    }
}

@keyframes grow {
    0% {
        transform: scale(0);
        opacity: 0;
        transform-origin: right;
    }

    60% {
        transform: scale(1.1)
    }

    100% {
        opacity: 1;
        transform: scale(1);
        transform-origin: right;
    }
}

@keyframes grow_from_center {
    0% {
        transform: scale(0);
        opacity: 0;
        transform-origin: center;
    }

    60% {
        transform: scale(1.1)
    }

    100% {
        opacity: 1;
        transform: scale(1);
        transform-origin: center;
    }
}